Bug 1386806 (CVE-2016-8608) - CVE-2016-8608 Stored XSS in business process editor
Summary: CVE-2016-8608 Stored XSS in business process editor
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-8608
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161128,repor...
Depends On:
Blocks: 1386746 1391689
TreeView+ depends on / blocked
 
Reported: 2016-10-19 16:21 UTC by Pavel Polischouk
Modified: 2019-06-08 21:32 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
JBoss BRMS 6 and BPM Suite 6 are vulnerable to a stored XSS via business process editor. The flaw is due to an incomplete fix for CVE-2016-5398. Remote, authenticated attackers that have privileges to create business processes can store scripts in them, which are not properly sanitized before showing to other users, including admins.
Clone Of:
Environment:
Last Closed: 2017-01-12 19:24:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2822 normal SHIPPED_LIVE Moderate: Red Hat JBoss BPM Suite security update 2016-11-28 22:55:25 UTC
Red Hat Product Errata RHSA-2016:2823 normal SHIPPED_LIVE Moderate: Red Hat JBoss BRMS security update 2016-11-28 22:55:19 UTC

Description Pavel Polischouk 2016-10-19 16:21:29 UTC
JBoss BRMS 6 and BPM Suite 6 are vulnerable to a stored XSS via business process editor. The flaw is due to an incomplete fix for CVE-2016-5398. Remote authenticated attackers that have privileges to create business processes can store scripts in them, which are not properly sanitized before showing to other users, including admins.

Comment 1 Pavel Polischouk 2016-10-19 16:21:39 UTC
Acknowledgments:

Name: Kirill Gaevskii (Red Hat)

Comment 3 errata-xmlrpc 2016-11-28 17:56:10 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.4.0

Via RHSA-2016:2823 https://rhn.redhat.com/errata/RHSA-2016-2823.html

Comment 4 errata-xmlrpc 2016-11-28 17:57:01 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.4.0

Via RHSA-2016:2822 https://rhn.redhat.com/errata/RHSA-2016-2822.html


Note You need to log in before you can comment on or make changes to this bug.